#ifndef dll
    common shared as hmodule dll
#endif

type TLabel extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TLabel.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TLabel.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TLabel.cast as any ptr
   return @this
end operator

Constructor TLabel
'your initialization code here
end constructor

type TButton extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TButton.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TButton.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TButton.cast as any ptr
   return @this
end operator

Constructor TButton
'your initialization code here
end constructor

type TCheckBox extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TCheckBox.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TCheckBox.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TCheckBox.cast as any ptr
   return @this
end operator

Constructor TCheckBox
'your initialization code here
end constructor

type TRadioButton extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TRadioButton.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TRadioButton.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TRadioButton.cast as any ptr
   return @this
end operator

Constructor TRadioButton
'your initialization code here
end constructor

type TGroupBox extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TGroupBox.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TGroupBox.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TGroupBox.cast as any ptr
   return @this
end operator

Constructor TGroupBox
'your initialization code here
end constructor

type TEdit extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TEdit.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TEdit.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TEdit.cast as any ptr
   return @this
end operator

Constructor TEdit
'your initialization code here
end constructor

type TComboBox extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TComboBox.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TComboBox.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TComboBox.cast as any ptr
   return @this
end operator

Constructor TComboBox
'your initialization code here
end constructor

type TListBox extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TListBox.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TListBox.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TListBox.cast as any ptr
   return @this
end operator

Constructor TListBox
'your initialization code here
end constructor

type TScrollBar extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TScrollBar.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TScrollBar.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TScrollBar.cast as any ptr
   return @this
end operator

Constructor TScrollBar
'your initialization code here
end constructor

type TMPHexEditor extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TMPHexEditor.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TMPHexEditor.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TMPHexEditor.cast as any ptr
   return @this
end operator

Constructor TMPHexEditor
'your initialization code here
end constructor

type TDrawGrid extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TDrawGrid.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TDrawGrid.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TDrawGrid.cast as any ptr
   return @this
end operator

Constructor TDrawGrid
'your initialization code here
end constructor

type TStringGrid extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TStringGrid.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TStringGrid.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TStringGrid.cast as any ptr
   return @this
end operator

Constructor TStringGrid
'your initialization code here
end constructor

type TColorGrid extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TColorGrid.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TColorGrid.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TColorGrid.cast as any ptr
   return @this
end operator

Constructor TColorGrid
'your initialization code here
end constructor

type TToolBar extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TToolBar.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TToolBar.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TToolBar.cast as any ptr
   return @this
end operator

Constructor TToolBar
'your initialization code here
end constructor

type TTabControl extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TTabControl.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TTabControl.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TTabControl.cast as any ptr
   return @this
end operator

Constructor TTabControl
'your initialization code here
end constructor

type TPageControl extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TPageControl.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TPageControl.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TPageControl.cast as any ptr
   return @this
end operator

Constructor TPageControl
'your initialization code here
end constructor

type TTreeView extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TTreeView.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TTreeView.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TTreeView.cast as any ptr
   return @this
end operator

Constructor TTreeView
'your initialization code here
end constructor

type TListView extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TListView.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TListView.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TListView.cast as any ptr
   return @this
end operator

Constructor TListView
'your initialization code here
end constructor

type TCoolBar extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TCoolBar.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TCoolBar.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TCoolBar.cast as any ptr
   return @this
end operator

Constructor TCoolBar
'your initialization code here
end constructor

type TPageScroller extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TPageScroller.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TPageScroller.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TPageScroller.cast as any ptr
   return @this
end operator

Constructor TPageScroller
'your initialization code here
end constructor

type THeaderControl extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub THeaderControl.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub THeaderControl.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator THeaderControl.cast as any ptr
   return @this
end operator

Constructor THeaderControl
'your initialization code here
end constructor

type TUpDown extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TUpDown.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TUpDown.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TUpDown.cast as any ptr
   return @this
end operator

Constructor TUpDown
'your initialization code here
end constructor

type TProgressBar extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TProgressBar.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TProgressBar.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TProgressBar.cast as any ptr
   return @this
end operator

Constructor TProgressBar
'your initialization code here
end constructor

type TAnimate extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TAnimate.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TAnimate.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TAnimate.cast as any ptr
   return @this
end operator

Constructor TAnimate
'your initialization code here
end constructor

type TTrackBar extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TTrackBar.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TTrackBar.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TTrackBar.cast as any ptr
   return @this
end operator

Constructor TTrackBar
'your initialization code here
end constructor

type TMemo extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TMemo.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TMemo.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TMemo.cast as any ptr
   return @this
end operator

Constructor TMemo
'your initialization code here
end constructor

type TMonthCalendar extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TMonthCalendar.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TMonthCalendar.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TMonthCalendar.cast as any ptr
   return @this
end operator

Constructor TMonthCalendar
'your initialization code here
end constructor

type  TDateTimePicker extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub  TDateTimePicker.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub  TDateTimePicker.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator  TDateTimePicker.cast as any ptr
   return @this
end operator

Constructor  TDateTimePicker
'your initialization code here
end constructor

type TRichEdit extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TRichEdit.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TRichEdit.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TRichEdit.cast as any ptr
   return @this
end operator

Constructor TRichEdit
'your initialization code here
end constructor

type THotKey extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub THotKey.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub THotKey.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator THotKey.cast as any ptr
   return @this
end operator

Constructor THotKey
'your initialization code here
end constructor

type TSynEdit extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TSynEdit.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TSynEdit.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TSynEdit.cast as any ptr
   return @this
end operator

Constructor TSynEdit
'your initialization code here
end constructor

type TSynAnySyn extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TSynAnySyn.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TSynAnySyn.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TSynAnySyn.cast as any ptr
   return @this
end operator

Constructor TSynAnySyn
'your initialization code here
end constructor

type TSynGeneralSyn extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TSynGeneralSyn.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TSynGeneralSyn.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TSynGeneralSyn.cast as any ptr
   return @this
end operator

Constructor TSynGeneralSyn
'your initialization code here
end constructor

type TELDesigner extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TELDesigner.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TELDesigner.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TELDesigner.cast as any ptr
   return @this
end operator

Constructor TELDesigner
'your initialization code here
end constructor

type TELPropertyInspector extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TELPropertyInspector.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TELPropertyInspector.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TELPropertyInspector.cast as any ptr
   return @this
end operator

Constructor TELPropertyInspector
'your initialization code here
end constructor

type TELDiagram extends QFrame
private:
 as any ptr obj
protected:
 declare virtual sub CreateHandle
 declare virtual sub Dispatch(byref as QMessage)
public:
 declare operaror cast as any ptr
 declare constructor
end type

sub TELDiagram.CreateHandle
   dim as hwnd pare=fparentwnd
   creationdata=@this
   create(@classname,@ftext,par,fleft,ftop,fwidth,fheight,obj)
   fhandle=par
   if iswindow(fhandle) then
      ShowWindow(fhandle,iif(fvisible,sw_show,sw_hide))
   end if
end sub

sub TELDiagram.Dispatch(byref m as QMessage)
    Base.Dispatch(m)
end sub

operator TELDiagram.cast as any ptr
   return @this
end operator

Constructor TELDiagram
'your initialization code here
end constructor

namespace DelphiClasses
    function Register
        return @"#DelphiClasses=TLabel,TButton,TCheckBox,TRadioButton,TGroupBox,TEdit,TComboBox,TListBox,TScrollBar,TMPHexEditor,TDrawGrid,TStringGrid,TColorGrid,TToolBar,TTabControl,TPageControl,TTreeView,TListView,TCoolBar,TPageScroller,THeaderControl,TUpDown,TProgressBar,TAnimate,TTrackBar,TMemo,TMonthCalendar, TDateTimePicker,TRichEdit,THotKey,TSynEdit,TSynAnySyn,TSynGeneralSyn,TELDesigner,TELPropertyInspectorTELDiagram"
    end function
end namespace

sub DelphiClasses_initialization constructor
   dll=dylibload("C:\Users\nasta\OneDrive\Desktop\rqwork_source\freebasic_pack\DelphiClasses.dll")
end sub

sub DelphiClasses_finalization constructor
   if dll then dylibfree(dll)
end sub